oracle.pgx.config

## Class GraphConfigFactory

- java.lang.Object
- - oracle.pgx.config.AbstractGraphConfigFactory<GraphConfig>
  - - oracle.pgx.config.AnyFormatGraphConfigFactory
    - - oracle.pgx.config.GraphConfigFactory

-     public class GraphConfigFactory
      extends AnyFormatGraphConfigFactory

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GraphConfigFactory` | `forAnyFormat()` returns a new graph config factory to parse any graph config from various input sources
    `static FileGraphConfigFactory` | `forFileFormats()` returns a new graph config factory to parse file-based graph configs from various input sources
    `static PgHbaseGraphConfigFactory` | `forPropertyGraphHbase()` returns a new graph config factory to create graph configs targeting the Apache HBase database in the property graph format.
    `static PgNosqlGraphConfigFactory` | `forPropertyGraphNosql()` returns a new graph config factory to create graph configs targeting the Oracle NoSQL database in the property graph format.
    `static oracle.pgx.config.PgRdbmsGraphConfigFactory` | `forPropertyGraphRdbms()` returns a new graph config factory to create graph configs targeting the Oracle RDBMS database in the property graph format.
    `static oracle.pgx.config.RdfGraphConfigFactory` | `forRdf()` returns a new RDF graph config factory
    `static TwoTablesGraphConfigFactory` | `forTwoTables()` returns a new graph config factory to create graph configs targeting the Oracle RDBMS database in the two-table format.

    - ### Methods inherited from class oracle.pgx.config.AnyFormatGraphConfigFactory

      `fromProperties`

    - ### Methods inherited from class oracle.pgx.config.AbstractGraphConfigFactory

      `fromClasspath, fromFile, fromFilePath, fromHdfs, fromHttp, fromInputStream, fromInputStream, fromJson, fromJson, fromPath, fromProperties`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forAnyFormat

          public static GraphConfigFactory forAnyFormat()

      returns a new graph config factory to parse any graph config from various input sources
      Returns:

    - #### forFileFormats

          public static FileGraphConfigFactory forFileFormats()

      returns a new graph config factory to parse file-based graph configs from various input sources
      Returns:

    - #### forPropertyGraphHbase

          public static PgHbaseGraphConfigFactory forPropertyGraphHbase()

      returns a new graph config factory to create graph configs targeting the Apache HBase database in the property graph format.
      Returns:

    - #### forPropertyGraphNosql

          public static PgNosqlGraphConfigFactory forPropertyGraphNosql()

      returns a new graph config factory to create graph configs targeting the Oracle NoSQL database in the property graph format.
      Returns:

    - #### forPropertyGraphRdbms

          public static oracle.pgx.config.PgRdbmsGraphConfigFactory forPropertyGraphRdbms()

      returns a new graph config factory to create graph configs targeting the Oracle RDBMS database in the property graph format.
      Returns:

    - #### forRdf

          public static oracle.pgx.config.RdfGraphConfigFactory forRdf()

      returns a new RDF graph config factory
      Returns:

    - #### forTwoTables

          public static TwoTablesGraphConfigFactory forTwoTables()

      returns a new graph config factory to create graph configs targeting the Oracle RDBMS database in the two-table format.
      Returns:

Copyright © 2015. All rights reserved.